<div class="form-container">
  <nb-card accent="info">
    <nb-card-header>Project Information</nb-card-header>
    <nb-card-body>
      <nb-list-item>
        <b> Title </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="title"
          name="title"
          [(ngModel)]="project.title"
          required
          nbInput
        />
      </nb-list-item>
      <nb-list-item>
        <b> Short Title </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="title"
          name="title"
          [(ngModel)]="project.short_title"
          required
          nbInput
        />
      </nb-list-item>
      <nb-list-item>
        <b> Display Name </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="displayName"
          name="displayName"
          [(ngModel)]="project.displayName"
          required
          nbInput
        />
      </nb-list-item>
      <nb-list-item>
        <b> Description </b>
      </nb-list-item>
      <nb-list-item>
        <textarea
          type="text"
          id="description"
          name="description"
          [(ngModel)]="project.description"
          placeholder="Enter your Description here"
          size="large"
          rows="4"
          required
          nbInput
        ></textarea>
      </nb-list-item>
      <nb-list-item>
        <b> Keywords </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="keywords"
          name="keywords"
          [(ngModel)]="project.keywords"
          required
          nbInput
        />
      </nb-list-item>
    </nb-card-body>
  </nb-card>

  <nb-card accent="info">
    <nb-card-header>Project Management</nb-card-header>
    <nb-card-body>
      <nb-list-item>
        <b> Project Owner </b>
        <br />
        HIER AUTOMATISCH ANLEGENDE PERSON EINFÜGEN!
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="principleInvestigators"
          name="principleInvestigators"
          [(ngModel)]="project.principleInvestigators"
          required
          nbInput
        />
      </nb-list-item>
      <nb-list-item>
        <b> Start Date </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="date"
          id="start_date"
          name="start_date"
          [(ngModel)]="project.start_date"
          required
          nbInput
        />
      </nb-list-item>

      <nb-list-item>
        <b> Status </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="status"
          name="status"
          [(ngModel)]="project.status"
          required
          nbInput
        />
      </nb-list-item>

      <nb-list-item>
        <b> End Date (optional) </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="date"
          id="endDate"
          name="endDate"
          [(ngModel)]="project.endDate"
          nbInput
        />
      </nb-list-item>
      <nb-list-item>
        <b> Grant ID (optional)</b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="grantid"
          name="grantid"
          [(ngModel)]="project.grantid"
          nbInput
        />
      </nb-list-item>
      <nb-list-item>
        <b> Participating Organizations (optional) </b>
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="organizations"
          name="organizations"
          [(ngModel)]="project.organizations"
          nbInput
        />
      </nb-list-item>

      <nb-list-item>
        <b> Metadata Visibility </b> HIER RADIO BUTTONS: Öffentlich, Institut,
        Privat
      </nb-list-item>
      <nb-list-item>
        <input
          type="text"
          id="visibility"
          name="visibility"
          [(ngModel)]="project.visibility"
          required
          nbInput
        />
      </nb-list-item>
    </nb-card-body>
  </nb-card>

  <nb-card accent="info">
    <nb-card-header>Project Info</nb-card-header>
    <nb-card-body>
      <nb-list-item>
        Crucial Information for Recommender - System
      </nb-list-item>

      <nb-list-item>
        <nb-select [(selected)]="selectedUniversityId"  placeholder="Select an University">
          <nb-option *ngFor="let uni of universities" [value]="uni.id">
              {{ uni.name }}
          </nb-option>
        </nb-select>
      </nb-list-item>

      <nb-list-item>
        <nb-select [(selected)]="selectedInstituteId"  placeholder="Select an Institute">
          <nb-option *ngFor="let institute of institutes" [value]="institute.id">
              {{ institute.name }}
          </nb-option>
        </nb-select>
      </nb-list-item>

      <nb-list-item>
        <nb-select [(selected)]="selectedFundingId"  placeholder="Select a Funding">
          <nb-option *ngFor="let funding of fundings" [value]="funding.id">
              {{ funding.name }}
          </nb-option>
        </nb-select>
      </nb-list-item>

      <!-- <nb-list-item>
        <nb-select placeholder="Institution">
          <nb-option *ngFor="let option of data.institution" [value]="option">{{ option }}</nb-option>
        </nb-select>
      </nb-list-item>

      <nb-list-item>
        <nb-select placeholder="Domain">
          <nb-option *ngFor="let option of data.domain" [value]="option">{{ option }}</nb-option>
        </nb-select>
      </nb-list-item> -->
    </nb-card-body>
  </nb-card>

  <button
    type="button"
    shape="semi-round"
    nbButton
    status="success"
    (click)="saveContent()"
  >
    Save Content
  </button>
  <!--<button type="submit" shape="semi-round" nbButton status="success">Save Project</button>-->
</div>
<br>
<div>
  <p [style.color]="'red'" [style.font-size.px]="18">{{ save_content_log }}</p>
</div>
